Class | SOAP::Mapping::BasetypeFactory_
In: | soap/mapping/factory.rb
Parent: | Factory

### Methods

new obj2soap soap2obj

### Public Class methods

new(allow_original_mapping = false)

[Source]

    # File soap/mapping/factory.rb, line 114
      def initialize(allow_original_mapping = false)
        super()
        @allow_original_mapping = allow_original_mapping
      end

### Public Instance methods

obj2soap(soap_class, obj, info, map)

[Source]

    # File soap/mapping/factory.rb, line 119
      def obj2soap(soap_class, obj, info, map)
        if !@allow_original_mapping and !obj.instance_variables.empty?
          return nil
        end
        soap_obj = nil
        begin
          soap_obj = soap_class.new(obj)
        rescue XSD::ValueSpaceError
          return nil
        end
        if @allow_original_mapping
          # Basetype except String should not be multiref-ed in SOAP/1.1.
          mark_marshalled_obj(obj, soap_obj)
        end
        soap_obj
      end

soap2obj(obj_class, node, info, map)

[Source]

    # File soap/mapping/factory.rb, line 136
      def soap2obj(obj_class, node, info, map)
        obj = node.data
        mark_unmarshalled_obj(node, obj)
        return true, obj
      end

[Validate]